/**
 * @description 获取下拉树节点数据 递归获取
 * */

export function getTreeDept(dept, data = []) {
  let result = null;
  for (let item of data) {
    if (item.id == dept) {
      return item;
    } else {
      if (item.children instanceof Array) {
        result = getTreeDept(dept, item.children);
      }
    }
  }
  return result;
}
